/* MAP's LINES config - configuration of rutines in MAP's LINES library
 * (the definitions are need to build the library only)
 * Copyright (C) 2001  Jan Lana
 *
 * $Id: mlconfig.h,v 1.4 2001/04/19 15:33:29 mapa Exp $
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _M_MLCONFIG_H
#define _M_MLCONFIG_H

#define ML_DIRECT_LINE_EXP 1775          /* 1/exp(1/7) in fixed point float */
#define ML_DIRECT_LINE_LEN 7

#define ML_DIRECT_STEP_EXP 1595
#define ML_DIRECT_STEP_LEN 4

#define ML_CONNECT_LOOP_MIN 10

#define ML_RASTER_WINDOW 25

#define ML_LINEWIDTH_MAX 7

#endif
