#include <stdlib.h>
#include <stdio.h>
#include <errno.h>
#include <glib.h>

void G_GNUC_NORETURN fatal_error (char *msg, ...)
{
  va_list args;

  va_start(args, msg);
  vfprintf(stderr, msg, args);
  va_end (args);

  if (errno) {
    fputs (" (", stderr);
    fputs (g_strerror(errno), stderr);
    fputc (')', stderr);
  }

  fputc('\n', stderr);
  exit(1);
}
